Subject: bug#31544: Emacs 26.1 rc-1 Texinfo View fails to italicize all 6 lines in paragraph

From: Van L <[email-masked]>
Date: Tue, 22 May 2018 09:45:19 +1000

> Eli Zaretskii writes:
> 
> Or maybe I misunderstand your report?
> 
>> That is, the paragraph: ``When I get to the end of a paragraph,…''
> 
> Not sure I understand this part.
> 
>> The Texinfo View on file emacs-lisp-intro.texi italicizes 2 of 6 lines.
> 
> What is "Texinfo View"?  If I visit the Texinfo source in Emacs, I
> also see the entire quotation italicized.  If that's what you meant by
> "Texinfo View", then maybe you are using a version of Emacs other than
> 26.1-RC1?

The line in `list-buffers’ refers to the file, as follows:

: %  emacs-lisp-intro....  765330 Texinfo          /Volumes/2018-s/Sources/GNU/emacs/doc/lispintro/emacs-lisp-intro.texi

if I close the file then see the [(Dired by name)] view of lispintro directory and press `v’ for view over the file `emacs-lisp-intro.texi’ it has [(Texinfo View)] and I use `s-l’ for goto-line 823 and this time only 1 of 6 lines is italicized.

Note, however, if I search down for the leading line to the paragraph instead of goto-line then the whole paragraph is italicized as expected.

See: 

http://emacs.scratch.space/public/.splash-plus-elisp-intro-texi_m.jpg

Screenshot confirms Emacs 26.1 version and inadequate italicization.